Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2
Class StrutsSpringJUnit4TestCase<T>

    java.lang.Object
      com.opensymphony.xwork2.XWorkJUnit4TestCase
          org.apache.struts2.StrutsJUnit4TestCase<T>
              org.apache.struts2.StrutsSpringJUnit4TestCase<T>

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware

    public abstract class StrutsSpringJUnit4TestCase<T>

extends StrutsJUnit4TestCase<T>
implements org.springframework.context.ApplicationContextAware

User: mcucchiara Date: 04/08/11 Time: 16.50

Field Summary
`protected org.springframework.context.ApplicationContext` | `applicationContext`

Fields inherited from class org.apache.struts2.StrutsJUnit4TestCase
`dispatcher, dispatcherInitParams, pageContext, request, resourceLoader, response, servletContext`

Fields inherited from class com.opensymphony.xwork2.XWorkJUnit4TestCase
`actionProxyFactory, configuration, configurationManager, container`

Constructor Summary
`StrutsSpringJUnit4TestCase()`

Method Summary
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`protected void` | `setupBeforeInitDispatcher()`

Methods inherited from class org.apache.struts2.StrutsJUnit4TestCase
`containsErrors, executeAction, findValueAfterExecute, finishExecution, getAction, getActionMapping, getActionMapping, getActionProxy, getConfigPath, initDispatcher, initDispatcherParams, initServletMockObjects, injectStrutsDependencies, setUp, tearDown`

Methods inherited from class com.opensymphony.xwork2.XWorkJUnit4TestCase
`loadButAdd, loadButAdd, loadConfigurationProviders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

Constructor Detail

### StrutsSpringJUnit4TestCase

    public StrutsSpringJUnit4TestCase()

Method Detail

### setupBeforeInitDispatcher

    protected void setupBeforeInitDispatcher()
                                      throws Exception

  Overrides:
    `setupBeforeInitDispatcher` in class `StrutsJUnit4TestCase<T>`
  Throws:
    `Exception`

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.